import { IWeAppData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext } from './BuildContext';
import { IBuildWedaApp } from '../core';
/**
 * generate app.json & page.json for mp
 *
 * @param kboneConfig https://wechat-miniprogram.github.io/kbone/docs/config/
 * @param appConfigs app config from prop edit panel
 */
export declare function generateMpConfig(ctx: Omit<IBuildContext, 'wedaRoot'>, weapps: IWeAppData[], options: {
    mpAppId?: string;
    mpConfig?: IBuildWedaApp['mpConfig'];
}): {
    appConfig: any;
    projConfig: any;
    pageConfigs: {}[];
};
interface ISubpackage {
    root: string;
    pages?: string[];
    plugins?: Record<string, {
        version?: string;
        provider?: string;
    }>;
}
export declare function mergeSubPackages(base?: ISubpackage[], extra?: ISubpackage[]): ISubpackage[];
export {};
